[Risolto] Compilazione amule-adnza(-svn)

Problemi e suggerimenti legati al software e ai pacchetti problematici.
Senseoflife
Arciere Provetto
Messaggi: 467
Iscritto il: 24 ottobre 2008, 9:42

[Risolto] Compilazione amule-adnza(-svn)

Messaggio da Senseoflife » 13 aprile 2012, 19:53

Come da titolo..
Non riesco a compilare nessuno dei due pacchetti, né amule-adnza né amule-adnza-svn (entrambi su aur).
Ad entrambi infatti si ferma così:

Codice: Seleziona tutto

...
Copying file intl/plural-exp.h
Copying file intl/plural.c
Copying file intl/plural.y
Copying file intl/ref-add.sin
Copying file intl/ref-del.sin
Copying file intl/textdomain.c
Copying file mkinstalldirs
Copying file po/Makefile.in.in
autopoint does not honor dataroot variable, patching.
Running aclocal -I m4
Running autoheader
Running autoconf
Creating pixmaps Makefile.am
Running automake --foreign -a -c -f
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: invalid host type: upnp,
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: invalid host type: default,
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: invalid host type: geoip,
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: invalid host type: default,
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
configure: WARNING: you should use --build, --host, --target
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking build system type... Invalid configuration `if': machine `if' not recognized
configure: error: /bin/sh ./config.sub if failed
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
==> ERRORE: Makepkg non è riuscito a compilare amule-adnza-svn.
==> Riavviare la compilazione di amule-adnza-svn [s/N]
==> --------------------------------------------------
==> 
==> ATTENZIONE: I seguenti pacchetti non sono stati installati:
    amule-adnza-svn
Ma sinceramente non capisco il perchè..
Ultima modifica di Senseoflife il 20 aprile 2012, 20:29, modificato 1 volta in totale.
You can be anything you want to be, just turn yourself into anything you think that you could ever be

spiderrock
Newbie
Messaggi: 12
Iscritto il: 29 febbraio 2012, 12:20
Località: Ferrara

Re: Compilazione amule-adnza(-svn)

Messaggio da spiderrock » 16 aprile 2012, 12:28

Ciao
anch'io su una installazione nuova non riesco a compilare adu, non si riece a compilare anche in fedora, dovrebbe essere un problema di glib o crypto++, comunque dal tuo log sembrerebbe che non hai settato nessuna opzione nel configure, a me la compilazione si ferma più avanti.
Intel core l7 2600 - Asus P8H67 - ram 16GB - Archlinux 64 bit

Dottore75
Newbie
Messaggi: 2
Iscritto il: 27 giugno 2011, 21:35

Re: Compilazione amule-adnza(-svn)

Messaggio da Dottore75 » 17 aprile 2012, 22:17

IDem... adesso provo con la guida su aduteca... speriamo

Senseoflife
Arciere Provetto
Messaggi: 467
Iscritto il: 24 ottobre 2008, 9:42

Re: Compilazione amule-adnza(-svn)

Messaggio da Senseoflife » 17 aprile 2012, 23:44

spiderrock ha scritto:Ciao
anch'io su una installazione nuova non riesco a compilare adu, non si riece a compilare anche in fedora, dovrebbe essere un problema di glib o crypto++, comunque dal tuo log sembrerebbe che non hai settato nessuna opzione nel configure, a me la compilazione si ferma più avanti.
Sembra anche a me. Ma in genere non è necessario. Anzi, nel PKGBUILD ci sono alcuni switch per abilitare o meno alcune features (che prima erano abilitate di default). Io le ho abilitate, eppure ottengo proprio questi errori. Quindi, non saprei se è un errore di librerie oppure anche configurazione.
You can be anything you want to be, just turn yourself into anything you think that you could ever be

Avatar utente
Dayro
Newbie
Messaggi: 15
Iscritto il: 18 aprile 2012, 2:39

Re: Compilazione amule-adnza(-svn)

Messaggio da Dayro » 18 aprile 2012, 3:42

Mi aggrego anche io!

Ho riprovato anche io or ora ma la compilazione si pianta qui:

Codice: Seleziona tutto

Compiling ClientUDPSocket.cpp
Compiling DownloadClient.cpp
Compiling DownloadQueue.cpp
In file included from DownloadQueue.h:30:0,
                 from DownloadQueue.cpp:26:
ObservableQueue.h: In instantiation of ‘void CObservableQueue<ValueType>::ObserverAdded(CObservableQueue<ValueType>::ObserverType*) [with ValueType = CPartFile*; CObservableQueue<ValueType>::ObserverType = CObserver<CQueueEvent<CPartFile*> >]’:
DownloadQueue.cpp:1597:32:   required from here
ObservableQueue.h:334:2: error: ‘NotifyObservers’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
ObservableQueue.h:334:2: note: declarations in dependent base ‘CObservable<CQueueEvent<CPartFile*> >’ are not found by unqualified lookup
ObservableQueue.h:334:2: note: use ‘this->NotifyObservers’ instead
ObservableQueue.h: In instantiation of ‘void CObservableQueue<ValueType>::ObserverRemoved(CObservableQueue<ValueType>::ObserverType*) [with ValueType = CPartFile*; CObservableQueue<ValueType>::ObserverType = CObserver<CQueueEvent<CPartFile*> >]’:
DownloadQueue.cpp:1753:1:   required from here
ObservableQueue.h:341:2: error: ‘NotifyObservers’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
ObservableQueue.h:341:2: note: declarations in dependent base ‘CObservable<CQueueEvent<CPartFile*> >’ are not found by unqualified lookup
ObservableQueue.h:341:2: note: use ‘this->NotifyObservers’ instead
make[3]: *** [amule-DownloadQueue.o] Errore 1
make[2]: *** [all-recursive] Errore 1
make[1]: *** [all-recursive] Errore 1
make: *** [all] Errore 2
Ho provato sia su una 32bit che su una 64bit.
Ho provato anche a pasticciare nel pkgbuild (seguendo le istruzioni di complilazione sul sito di Adunanza)
Ma niente da fare!

Senseoflife
Arciere Provetto
Messaggi: 467
Iscritto il: 24 ottobre 2008, 9:42

Re: Compilazione amule-adnza(-svn)

Messaggio da Senseoflife » 18 aprile 2012, 12:17

Mi pare che però gli errori siano differenti. Comunque anche io ho provato sia su 32bit che 64bit. E niente..
You can be anything you want to be, just turn yourself into anything you think that you could ever be

spiderrock
Newbie
Messaggi: 12
Iscritto il: 29 febbraio 2012, 12:20
Località: Ferrara

Re: Compilazione amule-adnza(-svn)

Messaggio da spiderrock » 18 aprile 2012, 12:36

allora
per togliermi lo sfizio, dato che ho cambiato pc e ho dovuto pasticciare per installare arch su architettura sandy bridge con uefi e gtp, ho ripristinato una immagine di arch che avevo sul portatile circa un mese fa e prima di fare gli aggiornamenti ho installato amule-adnza; tutto ok ha compilato regolarmente, poi ho aggionato e amule funziona ancora.
Intel core l7 2600 - Asus P8H67 - ram 16GB - Archlinux 64 bit

Avatar utente
Dayro
Newbie
Messaggi: 15
Iscritto il: 18 aprile 2012, 2:39

Re: Compilazione amule-adnza(-svn)

Messaggio da Dayro » 18 aprile 2012, 14:31

spiderrock ha scritto:allora
per togliermi lo sfizio, dato che ho cambiato pc e ho dovuto pasticciare per installare arch su architettura sandy bridge con uefi e gtp, ho ripristinato una immagine di arch che avevo sul portatile circa un mese fa e prima di fare gli aggiornamenti ho installato amule-adnza; tutto ok ha compilato regolarmente, poi ho aggionato e amule funziona ancora.
Uhmmm! Mistero! Potrebbe essere un errore nel pkgbuild?

[OFF TOPIC] Vorrei anche io avere un'immagine da riprisitinare, peccato sia approdato su Arch da 5 giorni solamente! :cry:

spiderrock
Newbie
Messaggi: 12
Iscritto il: 29 febbraio 2012, 12:20
Località: Ferrara

Re: Compilazione amule-adnza(-svn)

Messaggio da spiderrock » 18 aprile 2012, 14:59

no
il PKGBUILD è lo stesso, visto che l'ho compilato adesso ma su di un sistema di un mese fa, con i pacchetti di un mese fa
Intel core l7 2600 - Asus P8H67 - ram 16GB - Archlinux 64 bit

Senseoflife
Arciere Provetto
Messaggi: 467
Iscritto il: 24 ottobre 2008, 9:42

Re: Compilazione amule-adnza(-svn)

Messaggio da Senseoflife » 18 aprile 2012, 15:17

Allora, sarà un problema legato alla configurazione attuale.

EDIT:
Stavolta sembrava andasse bene.. e invece, sempre lo stesso errore, riguardante un file, config.sub:

Codice: Seleziona tutto

patching file amuleadunanza.desktop
patching file src/amule-gui.cpp
Setting up internationalization files.
Copying file intl/ChangeLog
Copying file intl/Makefile.in
Copying file intl/VERSION
Copying file intl/bindtextdom.c
Copying file intl/config.charset
Copying file intl/dcgettext.c
Copying file intl/dcigettext.c
Copying file intl/dcngettext.c
Copying file intl/dgettext.c
Copying file intl/dngettext.c
Copying file intl/eval-plural.h
Copying file intl/explodename.c
Copying file intl/finddomain.c
Copying file intl/gettext.c
Copying file intl/gettextP.h
Copying file intl/gmo.h
Copying file intl/hash-string.h
Copying file intl/intl-compat.c
Copying file intl/l10nflist.c
Copying file intl/libgnuintl.h
Copying file intl/loadinfo.h
Copying file intl/loadmsgcat.c
Copying file intl/localcharset.c
Copying file intl/locale.alias
Copying file intl/localealias.c
Copying file intl/localename.c
Copying file intl/ngettext.c
Copying file intl/os2compat.c
Copying file intl/os2compat.h
Copying file intl/osdep.c
Copying file intl/plural-exp.c
Copying file intl/plural-exp.h
Copying file intl/plural.c
Copying file intl/plural.y
Copying file intl/ref-add.sin
Copying file intl/ref-del.sin
Copying file intl/textdomain.c
Copying file mkinstalldirs
Copying file po/Makefile.in.in
autopoint does not honor dataroot variable, patching.
Running aclocal -I m4
Running autoheader
Running autoconf
Creating pixmaps Makefile.am
Running automake --foreign -a -c -f
configure: WARNING: you should use --build, --host, --target
configure: WARNING: invalid host type:  
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking build system type... config.sub: missing argument
Try `config.sub --help' for more information.
configure: error: /bin/sh ./config.sub   failed
You can be anything you want to be, just turn yourself into anything you think that you could ever be

Avatar utente
Dayro
Newbie
Messaggi: 15
Iscritto il: 18 aprile 2012, 2:39

Re: Compilazione amule-adnza(-svn)

Messaggio da Dayro » 18 aprile 2012, 20:14

Da e con yaourt-gui io quel checking lo passo.

Codice: Seleziona tutto

patching file src/ClientTCPSocket.cpp
patching file src/DownloadQueue.cpp
patching file src/webserver/src/WebServer.h
patching file src/utils/wxCas/src/wxcasframe.cpp
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking build system type... x86_64-unknown-linux-gnu
checking host system type... x86_64-unknown-linux-gnu


Senseoflife
Arciere Provetto
Messaggi: 467
Iscritto il: 24 ottobre 2008, 9:42

Re: Compilazione amule-adnza(-svn)

Messaggio da Senseoflife » 18 aprile 2012, 23:38

Io uso yaourt. E a mano lo stesso non va.
You can be anything you want to be, just turn yourself into anything you think that you could ever be

Avatar utente
veleno77
Moderatore
Messaggi: 6282
Iscritto il: 25 marzo 2008, 18:26
Architettura: x86 (32Bit)
Località: Torino
Contatta:

Re: Compilazione amule-adnza(-svn)

Messaggio da veleno77 » 19 aprile 2012, 0:49

con la versione -svn ottengo questo errore

Codice: Seleziona tutto

DownloadQueue.cpp:1753:1:   required from here
ObservableQueue.h:341:2: error: ‘NotifyObservers’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
ObservableQueue.h:341:2: note: declarations in dependent base ‘CObservable<CQueueEvent<CPartFile*> >’ are not found by unqualified lookup
ObservableQueue.h:341:2: note: use ‘this->NotifyObservers’ instead
make[3]: *** [amule-DownloadQueue.o] Errore 1
make[3]: Leaving directory `/tmp/yaourt-tmp-veleno77/aur-amule-adnza-svn/src/mrhyde_again-build/src'
make[2]: *** [all-recursive] Errore 1
make[2]: Leaving directory `/tmp/yaourt-tmp-veleno77/aur-amule-adnza-svn/src/mrhyde_again-build/src'
make[1]: *** [all-recursive] Errore 1
make[1]: Leaving directory `/tmp/yaourt-tmp-veleno77/aur-amule-adnza-svn/src/mrhyde_again-build'
make: *** [all] Errore 2
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
==> ERRORE: Makepkg non è riuscito a compilare amule-adnza-svn.
con la versione normale

Codice: Seleziona tutto

In file included from DownloadQueue.h:30:0,
                 from DownloadQueue.cpp:26:
ObservableQueue.h: In instantiation of ‘void CObservableQueue<ValueType>::ObserverAdded(CObservableQueue<ValueType>::ObserverType*) [with ValueType = CPartFile*; CObservableQueue<ValueType>::ObserverType = CObserver<CQueueEvent<CPartFile*> >]’:
DownloadQueue.cpp:1597:32:   required from here
ObservableQueue.h:334:2: error: ‘NotifyObservers’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
ObservableQueue.h:334:2: note: declarations in dependent base ‘CObservable<CQueueEvent<CPartFile*> >’ are not found by unqualified lookup
ObservableQueue.h:334:2: note: use ‘this->NotifyObservers’ instead
ObservableQueue.h: In instantiation of ‘void CObservableQueue<ValueType>::ObserverRemoved(CObservableQueue<ValueType>::ObserverType*) [with ValueType = CPartFile*; CObservableQueue<ValueType>::ObserverType = CObserver<CQueueEvent<CPartFile*> >]’:
DownloadQueue.cpp:1753:1:   required from here
ObservableQueue.h:341:2: error: ‘NotifyObservers’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
ObservableQueue.h:341:2: note: declarations in dependent base ‘CObservable<CQueueEvent<CPartFile*> >’ are not found by unqualified lookup
ObservableQueue.h:341:2: note: use ‘this->NotifyObservers’ instead
make[3]: *** [amule-DownloadQueue.o] Errore 1
make[2]: *** [all-recursive] Errore 1
make[1]: *** [all-recursive] Errore 1
make: *** [all] Errore 2
==> ERRORE: Si è verificato un errore in build().
    L'operazione sta per essere interrotta...
==> ERRORE: Makepkg non è riuscito a compilare amule-adnza.
mi pare lo stesso errore
Se avete risolto il vostro problema, editate il primo post aggiungendo [Risolto] al titolo.
Problemi con Arch ? 1°Metodo-2°Metodo-3°Metodo
ArchWiki Translation Team - Cerchiamo traduttori!

stefanog
Novello Arciere
Messaggi: 90
Iscritto il: 14 aprile 2012, 10:34

errore nella compilazione di Adunanza

Messaggio da stefanog » 19 aprile 2012, 10:51

ciao a tutti,

sto cercando di installare Adunanza ma purtroppo a un certo punto la compilazione si blocca e non sono riuscito a capire quale sia il problema.
Ho provato sia con yaourt che con la compilazione manuale ma l'errore è lo stesso e non mi sembra riguardi le dipendenze. Allego l'output dell'installazione, spero che qualcuno mi possa aiutare. Il comando è:

Codice: Seleziona tutto

yaourt -S amule-adnza
Grazie mille e buona giornata
Allegati
compilazione adnza.zip
errore adunanza
(4.33 KiB) Scaricato 136 volte

stefanog
Novello Arciere
Messaggi: 90
Iscritto il: 14 aprile 2012, 10:34

Re: Compilazione amule-adnza(-svn)

Messaggio da stefanog » 19 aprile 2012, 11:42

pardon, avevo aperto un nuovo topic anziché attaccarmi a questo. Comunque ho provato sia con la versione normale che -svn e gli errori sono esattamente gli stessi segnalati da Veleno77 (messaggio #120462).

Avatar utente
Dayro
Newbie
Messaggi: 15
Iscritto il: 18 aprile 2012, 2:39

Re: Compilazione amule-adnza(-svn)

Messaggio da Dayro » 19 aprile 2012, 17:04

Dall'alto della mia ignoranza, ho provato anche con un downgrade di parte delle dipendenze (gd richiedeva la disinstallazione di mezzo sistema)

Codice: Seleziona tutto

libupnp
geoip
crypto++
wxgtk
Niente da fare!
Per il momento affogo i miei problemi nel Wine...

Avatar utente
Hilinus
Moderatore
Messaggi: 5649
Iscritto il: 25 ottobre 2008, 19:28
Architettura: x86_64 (64bit)

Re: Compilazione amule-adnza(-svn)

Messaggio da Hilinus » 19 aprile 2012, 20:14

L'errore che riscontrate è dovuto a gcc 4.7, in cui viene fixato un bug sul quale molti programmi facevano affidamento. Allego di seguito la patch e il PKGBUILD modificato per la compilazione.
Allegati
adnza.tar.bz2
(1.21 KiB) Scaricato 308 volte
Q6600 @ 3.2 Ghz + Thermalright Ultra 120 Extreme | 6 GB DDR2 Ocz Gold
Asus P5K | Sapphire HD7850 2GB | E ovviamente... Arch Linux :)

stefanog
Novello Arciere
Messaggi: 90
Iscritto il: 14 aprile 2012, 10:34

[Risolto] Re: Compilazione amule-adnza(-svn)

Messaggio da stefanog » 19 aprile 2012, 23:58

Perfetto! compilando il file che ha postato Hilinus si riesce a creare il pacchetto e ora il muletto sta funzionando alla grande.

Grazie mille
Ultima modifica di stefanog il 20 aprile 2012, 9:43, modificato 1 volta in totale.

Avatar utente
Dayro
Newbie
Messaggi: 15
Iscritto il: 18 aprile 2012, 2:39

Re: Compilazione amule-adnza(-svn)

Messaggio da Dayro » 20 aprile 2012, 1:19

Riuscito a compilare ed installare! Grazie mille Hilinus!

@stefanog: Ti va bene Amule Adunanza? io sono firewalled e non riesco ad uscirne (metre il mulo di wine si connette e scarica)
EDIT: Ora va :mrgreen:

Avatar utente
veleno77
Moderatore
Messaggi: 6282
Iscritto il: 25 marzo 2008, 18:26
Architettura: x86 (32Bit)
Località: Torino
Contatta:

Re: Compilazione amule-adnza(-svn)

Messaggio da veleno77 » 20 aprile 2012, 9:16

se funziona mettete risolto...
Se avete risolto il vostro problema, editate il primo post aggiungendo [Risolto] al titolo.
Problemi con Arch ? 1°Metodo-2°Metodo-3°Metodo
ArchWiki Translation Team - Cerchiamo traduttori!

Senseoflife
Arciere Provetto
Messaggi: 467
Iscritto il: 24 ottobre 2008, 9:42

Re: Compilazione amule-adnza(-svn)

Messaggio da Senseoflife » 20 aprile 2012, 18:27

Hilinus ha scritto:L'errore che riscontrate è dovuto a gcc 4.7, in cui viene fixato un bug sul quale molti programmi facevano affidamento. Allego di seguito la patch e il PKGBUILD modificato per la compilazione.
Ehm.. a me non trova 'svn_fixes.patch' nè 'wxfont.patch', che non ci sono nell'archivio.
You can be anything you want to be, just turn yourself into anything you think that you could ever be

Avatar utente
Hilinus
Moderatore
Messaggi: 5649
Iscritto il: 25 ottobre 2008, 19:28
Architettura: x86_64 (64bit)

Re: Compilazione amule-adnza(-svn)

Messaggio da Hilinus » 20 aprile 2012, 18:32

Davo per scontato che sostituiste i miei file a quelli già preesistenti.

Nel senso:

Codice: Seleziona tutto

yaourt -S amule-adnza
# ora esci da yaourt con "a"
cd /tmp/yaourt-tmp-nomeutente/aur-amule-adnza
# copia qui il mio PKGBUILD e la patch, poi dai makepkg
Q6600 @ 3.2 Ghz + Thermalright Ultra 120 Extreme | 6 GB DDR2 Ocz Gold
Asus P5K | Sapphire HD7850 2GB | E ovviamente... Arch Linux :)

Senseoflife
Arciere Provetto
Messaggi: 467
Iscritto il: 24 ottobre 2008, 9:42

Re: Compilazione amule-adnza(-svn)

Messaggio da Senseoflife » 20 aprile 2012, 18:34

No ma nell'archivio non ci sono proprio. C'è la patch per gcc solamente, oltre al PKGBUILD.
You can be anything you want to be, just turn yourself into anything you think that you could ever be

Avatar utente
Hilinus
Moderatore
Messaggi: 5649
Iscritto il: 25 ottobre 2008, 19:28
Architettura: x86_64 (64bit)

Re: Compilazione amule-adnza(-svn)

Messaggio da Hilinus » 20 aprile 2012, 18:42

E' quello che ti sto dicendo. Dovresti scaricare tutto il necessario con yaourt, poi sovrascrivere il PKGBUILD col mio e aggiungere la patch nella stessa directory dove si trova il PKGBUILD. Dimmi se non è chiaro quello che ho scritto sopra.
Q6600 @ 3.2 Ghz + Thermalright Ultra 120 Extreme | 6 GB DDR2 Ocz Gold
Asus P5K | Sapphire HD7850 2GB | E ovviamente... Arch Linux :)

Senseoflife
Arciere Provetto
Messaggi: 467
Iscritto il: 24 ottobre 2008, 9:42

Re: Compilazione amule-adnza(-svn)

Messaggio da Senseoflife » 20 aprile 2012, 18:59

Ah scusami.. sono fuso, dopo 9 ore di corsi all'università -.- ... Credevo fosse un sostituto completo del pacchetto su aur. Poi, la parte in cui spieghi con yaourt come fare non mi era uscita prima, altrimenti avrei ovviamente capito! Ora provo e vediamo.
You can be anything you want to be, just turn yourself into anything you think that you could ever be

Rispondi